%global momorel 1
%global prever 0
%global date 20080623
%global svndate 23.06.08
%global qtdir %{_libdir}/qt3
%global srcname libdbus-1-qt3

Summary: Qt3 DBus Bindings
Name: dbus-qt3
Version: 0.9.0
Release: %{prever}.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://www.freedesktop.org/wiki/Software/DBusBindings
Group: System Environment/Libraries
Source0: %{srcname}-%{svndate}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: autoconf
BuildPrereq: automake
BuildPrereq: libtool
BuildPrereq: pkgconfig
BuildPrereq: qt3-devel
BuildPrereq: dbus-devel >= 0.92

%description
This library provides Qt3-classes for accessing the DBus.

%package devel
Summary: Development files for dbus-qt3
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel
Requires: pkgconfig
Requires: qt-devel

%description devel
Development files for dbus-qt3.

%prep
%setup -q -n %{srcname}-%{svndate}

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-qt3 \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of la file
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog INSTALL README TODO
%{_libdir}/libdbus-1-qt3.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/dbusxml2qt3
%{_includedir}/dbus-1.0/qt3
%{_libdir}/pkgconfig/dbus-1-qt3.pc
%{_libdir}/libdbus-1-qt3.a
%{_libdir}/libdbus-1-qt3.so

%changelog
* Mon Jun 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.20080623.1m)
- update to 20080623 svn snapshot for knetworkmanager-0.7
- remove merged makefile.patch

* Fri May 30 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-4.20080530.1m)
- update to 20080530 svn snapshot for knetworkmanager-0.7

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.1-3m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.1-2m)
- rebuild against gcc43

* Thu Feb 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- initial package for kneworkmanager-0.7
- import fix_ifdef.patch from Fedora
